Centos 7.9 installer Certbot Nginx error

  • 88 Views
  • Last Post 25 September 2021
ITCub posted this 18 September 2021

Hi Mike,

To let you know after some playing around there is an error in your installer that is not installing the correct cerbot package on a fresh minimal install of Centos 7.9.

It's failing to install the following package to complete the SSL requriements coded into AMP.

yum install python-certbot-nginx

Once the package is installed the installer completes without errors.

``` Installation Summary:

AMP System user: To be created Instance Manager: To be installed HTTPS setup: Yes, via nginx with domain ****** Install Java: No Install 32-bit libraries: Yes Install Docker: No

Ready to install AMP. Press ENTER to continue or CTRL+C to cancel.

Installing AMP... Creating system user... Updating System... Installing prerequisites... Installing 32-bit dependencies for srcds... Installing nginx and certbot... Updating SELinux rules (httpd relay)... setsebool: SELinux is disabled. setsebool: SELinux is disabled. Checking settings... Domain ******* Adding CubeCoders repository... Installing instance manager... Adding firewall rules... Adding firewall rule for port 443 (AMP Reverse Proxy) via firewalld... success success Adding firewall rule for port 80 (AMP Reverse Proxy) via firewalld... success success [Info] AMP Instance Manager v2.2.0.6 built 23/08/2021 13:36 [Info] Release spec: Release - built by CUBECODERS/buildbot on CCL-DEV Saving debug log to /var/log/letsencrypt/letsencrypt.log The requested nginx plugin does not appear to be installed [Error] Certbot failed with code 1 Failed to configure nginx. Please check /root/getamp.log . Aborting... ```

Order By: Standard | Newest | Votes
Mike posted this 19 September 2021

So what actually happens when you try and install the required plugin via yum install python-certbot-nginx ?

ITCub posted this 25 September 2021

Hi Mike

Per original post

yum install python-certbot-nginx

Once the package is installed the installer completes without errors.

The answer to your question was right there 😛

Hopefully you will be able to fix the error in the installer 👍

Close